Get carrier invoice approval request
curl --request GET \
--url https://api.upwell.com/api/rest/carrier_invoice_approval_requests/{id}import requests
url = "https://api.upwell.com/api/rest/carrier_invoice_approval_requests/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.upwell.com/api/rest/carrier_invoice_approval_requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"carrierInvoiceApprovalRequest": {
"carrierInvoice": {
"carrier": {
"id": "<string>",
"name": "<string>"
},
"invoiceNumber": "<string>",
"totalAmount": 123
},
"carrierInvoiceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"retryCount": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
}Carrier Invoice Approval Requests
Get carrier invoice approval request
Retrieve a single carrier invoice approval request by its ID.
GET
/
api
/
rest
/
carrier_invoice_approval_requests
/
{id}
Get carrier invoice approval request
Headers
Your API key will be used for authentication of the request. Authorization: YOUR_API_KEY
Path Parameters
"id" is required (enter it either in parameters or request body)
Response
200 - application/json
Responses for GET /api/rest/carrier_invoice_approval_requests/{id}
Tracks carrier invoice approval requests with retry logic and state management
Show child attributes
Show child attributes
āI

